Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class EvaluateModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractActionModel
              org.springframework.webflow.engine.model.EvaluateModel

All Implemented Interfaces:
  Model

    public class EvaluateModel

extends AbstractActionModel

Model support for evaluate actions.

Evaluates an expression against the flow request context.

Author:
  Scott Andrews

Constructor Summary
`EvaluateModel(java.lang.String expression)` Create an evaluate action model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.lang.String` | `getExpression()`
`java.lang.String` | `getResult()`
`java.lang.String` | `getResultType()`
`void` | `setExpression(java.lang.String expression)`
`void` | `setResult(java.lang.String result)`
`void` | `setResultType(java.lang.String resultType)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractActionModel
`fillCopy, getAttributes, isMergeableWith, merge, setAttributes`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvaluateModel

    public EvaluateModel(java.lang.String expression)

  Create an evaluate action model

  Parameters:
    `expression` - the expression to evaluate

Method Detail

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getExpression

    public java.lang.String getExpression()

  Returns:
    the expression

### setExpression

    public void setExpression(java.lang.String expression)

  Parameters:
    `expression` - the expression to set

### getResult

    public java.lang.String getResult()

  Returns:
    the result

### setResult

    public void setResult(java.lang.String result)

  Parameters:
    `result` - the result to set

### getResultType

    public java.lang.String getResultType()

  Returns:
    the result type

### setResultType

    public void setResultType(java.lang.String resultType)

  Parameters:
    `resultType` - the result type to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD